## Create Address Map `client.addressing.addressMaps.create(AddressMapCreateParamsparams, RequestOptionsoptions?): AddressMapCreateResponse` **post** `/accounts/{account_id}/addressing/address_maps` Create a new address map under the account. ### Parameters - `params: AddressMapCreateParams` - `account_id: string` Path param: Identifier of a Cloudflare account. - `description?: string | null` Body param: An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Body param: Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: Array` Body param - `memberships?: Array` Body param: Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` ### Returns - `AddressMapCreateResponse` - `id?: string` Identifier of an Address Map. - `can_delete?: boolean` If set to false, then the Address Map cannot be deleted via API. This is true for Cloudflare-managed maps. - `can_modify_ips?: boolean` If set to false, then the IPs on the Address Map cannot be modified via the API. This is true for Cloudflare-managed maps. - `created_at?: string` - `default_sni?: string | null` If you have legacy TLS clients which do not send the TLS server name indicator, then you can specify one default SNI on the map. If Cloudflare receives a TLS handshake from a client without an SNI, it will respond with the default SNI on those IPs. The default SNI can be any valid zone or subdomain owned by the account. - `description?: string | null` An optional description field which may be used to describe the types of IPs or zones on the map. - `enabled?: boolean | null` Whether the Address Map is enabled or not. Cloudflare's DNS will not respond with IP addresses on an Address Map until the map is enabled. - `ips?: IPsArray` The set of IPs on the Address Map. - `created_at?: string` - `ip?: string` An IPv4 or IPv6 address. - `memberships?: Array` Zones and Accounts which will be assigned IPs on this Address Map. A zone membership will take priority over an account membership. - `can_delete?: boolean` Controls whether the membership can be deleted via the API or not. - `created_at?: string` - `identifier?: string` The identifier for the membership (eg. a zone or account tag). - `kind?: Kind` The type of the membership. - `"zone"` - `"account"` - `modified_at?: string` ### Example ```node import Cloudflare from 'cloudflare'; const client = new Cloudflare({ apiEmail: process.env['CLOUDFLARE_EMAIL'], // This is the default and can be omitted apiKey: process.env['CLOUDFLARE_API_KEY'], // This is the default and can be omitted }); const addressMap = await client.addressing.addressMaps.create({ account_id: '258def64c72dae45f3e4c8516e2111f2', }); console.log(addressMap.id); ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "success": true, "result": { "id": "055817b111884e0227e1be16a0be6ee0", "can_delete": true, "can_modify_ips": true, "created_at": "2014-01-01T05:20:00.12345Z", "default_sni": "*.example.com", "description": "My Ecommerce zones", "enabled": true, "ips": [ { "created_at": "2014-01-01T05:20:00.12345Z", "ip": "192.0.2.1" } ], "memberships": [ { "can_delete": true, "created_at": "2014-01-01T05:20:00.12345Z", "identifier": "023e105f4ecef8ad9ca31a8372d0c353", "kind": "zone" } ], "modified_at": "2014-01-01T05:20:00.12345Z" } } ```